#!/bin/sh

# Usage: $0 < file
#   in a git tree, where file has one commit id per line
#   it will produce numbered patches starting from 1000.

num=1000
while read id rest; do
  [ -z "${id//*#*}" ] && continue
  git format-patch -k --start-number=$num $id^..$id
  ((num++))
done

